function [ val ] = bspline4t_1d( x )
%BSPLINE4T_1D Summary of this function goes here
%   Detailed explanation goes here

x = x(:);

val = zeros(size(x));
iremain = 1:length(x);
iremain = iremain(x >= -15/2);

ind_pos = find(x(iremain) < -11/2);
x_cur = x(iremain(ind_pos));
val(iremain(ind_pos)) = (1/6144)*(2*x_cur+15).^4;
iremain = iremain(x(iremain) >= -11/2);

ind_pos = find(x(iremain) < -7/2);
x_cur = x(iremain(ind_pos));
val(iremain(ind_pos)) = -5645/1536-(205/48)*x_cur-(95/64)*x_cur.^2-(5/24)*x_cur.^3-(1/96)*x_cur.^4;
iremain = iremain(x(iremain) >= -7/2);

ind_pos = find(x(iremain) < -3/2);
x_cur = x(iremain(ind_pos));
val(iremain(ind_pos)) = 715/3072+(25/128)*x_cur+(55/128)*x_cur.^2+(5/32)*x_cur.^3+(1/64)*x_cur.^4;
iremain = iremain(x(iremain) >= -3/2);

ind_pos = find(x(iremain) < 1/2);
x_cur = x(iremain(ind_pos));
val(iremain(ind_pos)) = 155/1536-(5/32)*x_cur+(5/64)*x_cur.^2-(1/96)*x_cur.^4;
iremain = iremain(x(iremain) >= 1/2);

ind_pos = find(x(iremain) < 5/2);
x_cur = x(iremain(ind_pos));
val(iremain(ind_pos)) = (1/6144)*(2*x_cur-5).^4;

end

