function [ fhat, norm_fct_square ] = bsplinet_test_7d_chat( freq_out )
%BSPLINET_TEST_6D_CHAT Summary of this function goes here
%   Detailed explanation goes here

fhat = zeros(size(freq_out,1),1);

ind=find(sum(abs(freq_out(:,[2 4 5 7])),2)==0);
fhat(ind) = fhat(ind) + bspline2t_chat_nd(freq_out(ind,[1 3 6]));

ind=find(sum(abs(freq_out(:,[1 3 6])),2)==0);
fhat(ind) = fhat(ind) + bspline4t_chat_nd(freq_out(ind,[2 4 5 7]));

[~, bspline2t_normcheb_d3_sq] = bspline2t_normcheb(3);
[~, bspline4t_normcheb_d4_sq] = bspline4t_normcheb(4);

norm_fct_square = pi^4*bspline2t_normcheb_d3_sq + pi^3*bspline4t_normcheb_d4_sq + pi^7*2*bspline2t_chat_nd(zeros(1,3))*bspline4t_chat_nd(zeros(1,4));

end

